# this function runs every tick

# set player IDs, used for making sure players don't hurt themselves by punching blocks they're standing too close to
execute as @a[tag=!k-eb--player-id] run function earthbending:player/set_id

kill @e[tag=k-eb--kill2]
execute unless data storage earthbending:properties Restricted as @a[tag=air,nbt={OnGround:1b},predicate=earthbending:sneaking] at @s run function earthbending:spawn_raiser
execute if data storage earthbending:properties Restricted as @a[tag=air,tag=can-earthbend,nbt={OnGround:1b},predicate=earthbending:sneaking] at @s run function earthbending:spawn_raiser
tag @a[nbt={OnGround:0b,abilities:{flying:0b}}] add air
tag @a[nbt={OnGround:1b}] remove air
tag @a[nbt={abilities:{flying:1b}}] remove air

scoreboard players remove @a[scores={kEB-sound=1..}] kEB-sound 1

scoreboard players add @e[type=minecraft:armor_stand,tag=k-eb--block-entity] kEB-time 1
#execute as @e[type=minecraft:armor_stand,tag=k-eb--block-entity,scores={kEB-time=..3}] at @s as @e[type=minecraft:falling_block,tag=k-eb--block-entity,distance=0,limit=1] run function earthbending:particle
execute as @e[type=minecraft:armor_stand,tag=k-eb--block-entity,scores={kEB-time=1}] at @s run tp @s ~ ~1 ~
execute as @e[type=minecraft:armor_stand,tag=k-eb--block-entity,scores={kEB-time=2..3}] at @s run tp @s ~ ~0.4 ~
execute as @e[type=minecraft:armor_stand,tag=k-eb--block-entity,scores={kEB-time=4..9}] at @s run tp @s ~ ~0.07 ~
execute as @e[type=minecraft:armor_stand,tag=k-eb--block-entity,scores={kEB-time=11}] run tp @s @s
execute as @e[type=minecraft:armor_stand,tag=k-eb--block-entity,scores={kEB-time=30}] at @s unless entity @s[nbt={Passengers:[{id:"minecraft:falling_block"}]}] as @e[type=minecraft:shulker,tag=k-eb--block-entity,distance=0,limit=1] at @s run function earthbending:clean_this
kill @e[type=minecraft:armor_stand,tag=k-eb--block-entity,scores={kEB-time=30},nbt=!{Passengers:[{id:"minecraft:falling_block"}]}]
execute as @e[type=minecraft:armor_stand,tag=k-eb--block-entity,scores={kEB-time=30}] at @s as @e[type=minecraft:shulker,tag=k-eb--block-entity,distance=0,limit=1] at @s run function earthbending:clean_this
kill @e[type=minecraft:armor_stand,tag=k-eb--block-entity,scores={kEB-time=30}]
execute unless data storage earthbending:properties Restricted as @a[scores={kEB-hit=1..}] at @s anchored eyes positioned ^ ^ ^1 run function earthbending:hit_block
execute if data storage earthbending:properties Restricted as @a[tag=can-earthbend,scores={kEB-hit=1..}] at @s anchored eyes positioned ^ ^ ^1 run function earthbending:hit_block
scoreboard players reset @a[scores={kEB-hit=1..}] kEB-hit
execute as @e[tag=k-eb-block-projectile] run data merge entity @s {Air:0}
execute as @e[tag=k-eb-block-projectile] run data merge entity @s {Air:1}
scoreboard players add @e[tag=k-eb-block-projectile] kEB-age 1
execute as @e[tag=k-eb-block-projectile] at @s run function earthbending:damage_mobs



execute as @e[tag=k-eb--land-check] at @s positioned ~ ~-0.87500001430512 ~ positioned ~ ~0.5 ~ unless entity @e[type=minecraft:falling_block,distance=..0.5] run function earthbending:land
execute as @e[tag=k-eb--land] at @s positioned ~ ~-0.87500001430512 ~ positioned ~ ~0.5 ~ unless entity @e[type=minecraft:falling_block,distance=..0.5] run kill @s